SET ECHO ON
SPOOL xakza23427.lst

-- Lijst van kostenplaatsen, voor maandelijkse doorbelastingsmelding Ruys
CREATE OR REPLACE VIEW akza_v_kpn_logistiek
AS
   SELECT prs_kostenplaats_key,
          prs_kostenplaats_omschrijving||' - '||prs_kostenplaats_nr kpn
     FROM prs_v_aanwezigkostenplaats;

-- Lijst van copiers + ruimtes in SSCA Arnhem, voor meldingen over toners/papier 
CREATE OR REPLACE VIEW akza_v_copiers
AS
   SELECT d.ins_deel_key,
             aa.prs_afdeling_omschrijving
          || ', '||REPLACE(s.ins_srtdeel_omschrijving, 'Multi Copier basismachine ', '')
          || ' ('||ins_deel_omschrijving||')'
             ins_deel_omschrijving,
          ao.alg_plaatsaanduiding
     FROM ins_deel d,
          ins_srtdeel s,
          (SELECT * FROM ins_kenmerkdeel WHERE ins_kenmerk_key = 3146 AND ins_kenmerkdeel_verwijder IS NULL) kd,
          prs_v_aanwezigafdeling aa,
          ins_v_alg_overzicht ao
    WHERE s.ins_srtgroep_key = 485
      AND d.ins_srtdeel_key = s.ins_srtdeel_key
      AND d.ins_deel_verwijder IS NULL
      AND kd.ins_deel_key(+) = d.ins_deel_key
      AND fac.safe_to_number(kd.ins_kenmerkdeel_waarde) = aa.prs_afdeling_key(+)
      AND d.ins_alg_locatie_key = 2
      AND ao.alg_onroerendgoed_keys = d.ins_alg_ruimte_key;

BEGIN adm.systrackscript('$Workfile: akza#23427.sql $', '$Revision$', 0); END;
/

COMMIT;

SPOOL OFF

SET ECHO OFF

